Bug 28059 - Optimierung der internen ACL-Auswertung
Optimierung der internen ACL-Auswertung
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC (Generic)
UCS 3.0
Other Linux
: P5 enhancement (vote)
: UCS 3.2
Assigned To: Stefan Gohmann
Florian Best
: interim-1
Depends on:
Blocks: 32253
  Show dependency treegraph
 
Reported: 2012-07-25 06:44 CEST by Stefan Gohmann
Modified: 2013-11-19 06:41 CET (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Large environments, UCS Performance
Max CVSS v3 score:


Attachments
bug_28059.patch (2.49 KB, patch)
2013-05-15 07:09 CEST, Stefan Gohmann
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2012-07-25 06:44:24 CEST
Siehe auch Bug #26490

Derzeit wird für jedes ACL-Paar (Rechner, Benutzer, Modul, usw.) ein eigener ACL-Eintrag in einer internen UMC DB gespeichert. Auch wenn als Rechnername dort * angegeben wird. Wir könnten entweder den * als Wildcard speichern oder einfach nur den lokalen Rechner speichern, da nur das derzeit ausgewertet wird.
Comment 1 Stefan Gohmann univentionstaff 2013-05-15 07:09:57 CEST
Created attachment 5225 [details]
bug_28059.patch

Ein erster Patch, das Expand wird nicht mehr für alle Rechner, sondern nur noch für den lokalen Rechner angeschaut. Dadurch komme ich in einer Umgebung mit ca. 580 Serverobjekten im LDAP auf eine Login-Geschwindig von 2 Sekunden, anstatt 12 Sekunden. Zusätzlich ist keine Auslastung des slapd mehr zu erkennen.

Im Patch müsste die service Auswertung nochmal genauer geprüft werden, das ist noch ungetestet.
Comment 2 Stefan Gohmann univentionstaff 2013-07-08 09:32:25 CEST
A modified version of the patch has been applied.

A test case has been written too: tests/60_umc/03_acls
Comment 3 Stefan Gohmann univentionstaff 2013-08-21 10:19:42 CEST
Minor update with r43343 as suggested by Florian.
Comment 4 Florian Best univentionstaff 2013-08-22 10:12:36 CEST
Fix: OK
Test: OK
Changelog: OK
Comment 5 Stefan Gohmann univentionstaff 2013-11-19 06:41:17 CET
UCS 3.2 has been released:
 http://docs.univention.de/release-notes-3.2-en.html
 http://docs.univention.de/release-notes-3.2-de.html

If this error occurs again, please use "Clone This Bug".